<template>
  <div class="page">
    <div
      class="page-slides"
      v-waypoint="{active: true, callback: handleAnimateCallback}"
    >
      <MainPageSlide/>
    </div>
    <MainPageSelectYourHero/>
    <MainPageGallery/>
    <MainPageStatistics/>
    <MainPageSocial/>
    <MainPageFooter/>
  </div>
</template>

<script>
import MainPageSlide from "@/components/MainPage/MainPageSlide";
import MainPageSelectYourHero from "@/components/MainPage/MainPageSelectYourHero";
import MainPageGallery from "@/components/MainPage/MainPageGallery";
import MainPageStatistics from "@/components/MainPage/MainPageStatistics";
import MainPageSocial from "@/components/MainPage/MainPageSocial";
import MainPageFooter from "@/components/MainPage/MainPageFooter";

export default {
  name: "MainPage",
  components: {
    MainPageFooter,
    MainPageSocial, MainPageStatistics, MainPageGallery, MainPageSelectYourHero, MainPageSlide
  },
  methods: {
    handleAnimateCallback({going}) {
      if (going === 'out') {
        document.getElementById('navbar').classList.add('sticky')
      }
      if (going === 'in') {
        document.getElementById('navbar').classList.remove('sticky')
      }
    }
  }
}
</script>

<style scoped lang="sass">
@import "~@/assets/sass/views/MainPage.sass"
</style>
